type_utils.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_STATIC_ASSERT(UNIQUE, E)

## Typedefs

typedef std::tr1::integral_constant< int, 0 > | __gnu_pbds::detail::false_type
typedef std::tr1::integral_constant< int, 1 > | __gnu_pbds::detail::true_type

## Detailed Description

Contains utilities for handling types. All of these classes are based on Modern C++ by Andrei Alxandrescu.

Definition in file type_utils.hpp.

## Macro Definition Documentation

## PB_DS_STATIC_ASSERT

#define PB_DS_STATIC_ASSERT | ( |  | UNIQUE,
|  |  | E )

Definition at line 136 of file type_utils.hpp.

## Typedef Documentation

## false_type

typedef std::tr1::integral_constant<int, 0> __gnu_pbds::detail::false_type

Definition at line 71 of file type_utils.hpp.

## true_type

typedef std::tr1::integral_constant<int, 1> __gnu_pbds::detail::true_type

Definition at line 70 of file type_utils.hpp.